using System;
namespace HySoft.BaseCallCenter.Model
{
	/// <summary>
	/// T_Sms_SmsModel:实体类(属性说明自动提取数据库字段的描述信息)
	/// </summary>
	[Serializable]
	public partial class T_Sms_SmsModel
	{
		public T_Sms_SmsModel()
		{}
		#region Model
		private int _modelid;
		private string _name;
		private string _contents;
		private string _addpeople;
		private DateTime? _addtime;
		private int? _typeid;
		private string _editpeople;
		private DateTime? _edittime;
		private string _state;
        private string _remark;
		/// <summary>
		/// 模版id
		/// </summary>
		public int ModelId
		{
			set{ _modelid=value;}
			get{return _modelid;}
		}
		/// <summary>
		/// 模版名称
		/// </summary>
		public string Name
		{
			set{ _name=value;}
			get{return _name;}
		}
		/// <summary>
		/// 内容
		/// </summary>
		public string Contents
		{
			set{ _contents=value;}
			get{return _contents;}
		}
		/// <summary>
		/// 添加人
		/// </summary>
		public string AddPeople
		{
			set{ _addpeople=value;}
			get{return _addpeople;}
		}
		/// <summary>
		/// 添加时间
		/// </summary>
		public DateTime? AddTime
		{
			set{ _addtime=value;}
			get{return _addtime;}
		}
		/// <summary>
		/// 类别id
		/// </summary>
		public int? TypeId
		{
			set{ _typeid=value;}
			get{return _typeid;}
		}
		/// <summary>
		/// 修改人
		/// </summary>
		public string EditPeople
		{
			set{ _editpeople=value;}
			get{return _editpeople;}
		}
		/// <summary>
		/// 修改时间
		/// </summary>
		public DateTime? EditTime
		{
			set{ _edittime=value;}
			get{return _edittime;}
		}
		/// <summary>
		/// 状态  0：可用，1：废弃
		/// </summary>
		public string State
		{
			set{ _state=value;}
			get{return _state;}
		}
        /// <summary>
        /// 备注
        /// </summary>
        public string Remark
        {
            set { _remark = value; }
            get { return _remark; }
        }
		#endregion Model

	}
}

